Send Document
curl --request POST \
--url https://api.amplify.xyz/v1/esign_documents/{documentId}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_name": "Postman",
"ip_address": "127.0.0.1",
"location": "Local",
"is_from_copy_link": false
}
'import requests
url = "https://api.amplify.xyz/v1/esign_documents/{documentId}/send"
payload = {
"device_name": "Postman",
"ip_address": "127.0.0.1",
"location": "Local",
"is_from_copy_link": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_name: 'Postman',
ip_address: '127.0.0.1',
location: 'Local',
is_from_copy_link: false
})
};
fetch('https://api.amplify.xyz/v1/esign_documents/{documentId}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Document operations
Send Document
Customer API v1 endpoint.
POST
/
v1
/
esign_documents
/
{documentId}
/
send
Send Document
Send Document. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200
Successful response. Response body was not included in the source collection.
